## Aspose.Slides Java for Apache POI SL

Aspose.Slides Java for Apache POI SL is a project to provide comparative source code examples to do the same file processing tasks using Aspose for Java APIs and Apache POI. Additionally, this project provides source code examples for advanced features offered by Aspose which are missing in Apache POI.

Below are some code comparisons and features of Aspose.Slides for Java that are not available in Apache POI

* [Code Comparison for common features in **Aspose.Slides** and **Apache POI SL**](https://docs.aspose.com/display/slidesjava/1.2+Code+Comparison+for+Common+Features+in+Aspose.Slides+and+Apache+POI+-+HSLF+and+XSLF)
* [Missing Features of Apache POI SL available in Aspose.Slides](https://docs.aspose.com/display/slidesjava/1.3+Missing+Features+in+Apache+POI+SL+-+HSLF+and+XSLF)

These examples are helpful for developers who want to compare Apache POI with Aspose.Slides OR migrate from Apache POI to Aspose.

### Feedback and Suggestions

* Many more examples are yet to come. [Keep visiting us](https://products.aspose.com/slides/java).
* Raise your queries and suggest more examples via [Aspose Forums](https://www.aspose.com/community/forums/default.aspx) or via this social coding site.

## Why Aspose for Apache POI ?

The developers looking for file format libraries may need to walk through the features provided by the libraries available on the market. Mainly, two factors are considered when choosing an option:

* Features
* Efforts required to use the library

If you are a Java developer looking to choose a file format library to process word files, you may want to compare Apache POI SL SDK with Aspose.Slides for Java. In this case, this project will help you to compare features and code in both libraries. Please visit project documentation for a comprehensive comparison.

## What is Apache POI ?

The Apache POI Project's mission is to create and maintain Java APIs for manipulating various file formats based upon the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document format (OLE2). In short, you can read and write MS Excel files using Java. In addition, you can read and write MS Word and MS PowerPoint files using Java. Apache POI is Java Excel solution (for Excel 97-2008).

OLE2 files include Microsoft Office files such as XLS, DOC, and PPT as well as MFC serialization API based file formats. The project provides APIs for the OLE2 Filesystem (POIFS) and OLE2 Document Properties (HPSF).

Office OpenXML Format is the new standards based XML file format found in Microsoft Office 2007 and 2008. This includes XLSX, DOCX and PPTX. The project provides a low level API to support the Open Packaging Conventions using openxml4j.

For each MS Office application there exists a component module that attempts to provide a common high level Java api to both OLE2 and OOXML document formats.

Read More at [poi.apache.org](http://poi.apache.org/)

## What is the use of Aspose Java Products?

Aspose are file format experts and provide APIs and components for various file formats including MS Office, OpenOffice, PDF and Image formats. 

These APIs are available on a number of development platforms including Java. If you are a Java developer, you can use Aspose native Java APIs in your Java applications to process various file formats in just a few lines of codes. 

All the Aspose APIs don’t have any dependency over any other engine. For example, you don’t need to have MS Office installed on the server to process MS Office files. Below you can read mor about Aspose.Words for Java:

### Aspose.Slides for Java

[![Aspose.Slides for Java](http://www.aspose.com/App_Themes/V2/images/productLogos/JAVA/aspose_slides-for-java.jpg)](https://products.aspose.com/slides/java)

Aspose.Slides for Java is a unique PowerPoint management component that enables Java based applications to read, write and manipulate PowerPoint documents without using Microsoft PowerPoint.

One can generate, modify, copy, convert, render and print presentations without installing Microsoft PowerPoint.

Aspose.Slides for Java supports presentation file formats including PPT, PPS, POT, PresentationML (OOXML, PPTX) and Open Document Presentations (ODP).

[Learn More](https://products.aspose.com/slides/java)


